summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2017-06-04 12:49:36 +0100
committerJustin Lecher <jlec@gentoo.org>2017-06-04 12:49:50 +0100
commit74152808104b50e3559e86ed2745c5601ef597c6 (patch)
treebece809633549a9e414dacd5f537383737c43088
parentdev-python/pandas: Version Bump (diff)
downloadgentoo-74152808104b50e3559e86ed2745c5601ef597c6.tar.gz
gentoo-74152808104b50e3559e86ed2745c5601ef597c6.tar.bz2
gentoo-74152808104b50e3559e86ed2745c5601ef597c6.zip
app-office/scribus: Version Bump
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=620172 Package-Manager: Portage-2.3.6, Repoman-2.3.2 Signed-off-by: Justin Lecher <jlec@gentoo.org>
-rw-r--r--app-office/scribus/Manifest1
-rw-r--r--app-office/scribus/files/scribus-1.5.3-docdir.patch42
-rw-r--r--app-office/scribus/files/scribus-1.5.3-fpic.patch16
-rw-r--r--app-office/scribus/scribus-1.5.3.ebuild231
4 files changed, 290 insertions, 0 deletions
diff --git a/app-office/scribus/Manifest b/app-office/scribus/Manifest
index 1f887c4cb9d..c3bf0b2d0e3 100644
--- a/app-office/scribus/Manifest
+++ b/app-office/scribus/Manifest
@@ -1,3 +1,4 @@
DIST scribus-1.4.6.tar.xz 73601104 SHA256 21e336500d9edc9c90ccf73087e5ef3df59ec3e4a3cbfec15367bcd8d078a19a SHA512 74d8a89eb767535bcd8fe5e3c55d03709d59ff8fc5280005bcc2ad36cae1d37c8442ab85abaea86fdee9f351a901c86947231001324e2d8df00cbd8e5c18d1e3 WHIRLPOOL 5c2ee366cb53720b35ffec2f7e2db244105a95ed7b14c27cf4fab7636cbdf10c6a370c0a14f65f630cd8252b22a4a3ec4b5e592c71308f78269205a89ae56fb7
DIST scribus-1.5.0.tar.xz 75867348 SHA256 a3dbe66d12719355d41ae7f2cac7a8c9d5599b12aeb5c038d939636f054e8e68 SHA512 3d3f311543019cf985e12d25d0a9bd2ea470679aee0f40d0aed4d2f1532ea3cdbd4d2e215e59b559b4301613fb71f738a348c56d09d3c6e32da0047d9e212065 WHIRLPOOL feae71d139724b4927c81cab5d13168a9e00383f9a7890484cf5ab62f001b266b4af954440bc7edc51eedb65c3ace4541a7fc0836b0f6237061d6d38371ac6ca
DIST scribus-1.5.2.tar.xz 74456064 SHA256 ec5eec23aeda655d3a761cffb85853dcd2ede3973b9e62a1b3c28bd1093c74f5 SHA512 c3531bc5ef97e1f7d026ec7cff872ff7a6ea36472c794b632bee1a84fdeea87deaa56e8b9c467fe8e6db694266efc9ec84d822e5feefd2f99b4469d08826cea4 WHIRLPOOL cc1cd41c725aaa240a064149c011cee31f04e738ea386285b75f31aeb200b9351e6e434ed517a2d600c1de694f2f3584012e9213b0fdf094a6497d04c14e3fb7
+DIST scribus-1.5.3.tar.xz 74222084 SHA256 73a30b4727e19f5d301a936d23a84275cc4f5613a92416cbd843f5167721d74f SHA512 487cea685869397bc52acc7be8e8e9f4bad3f594c1f95740207e4d9e26b07461a7fd2a95d5337b38f1b0fa6504a9f6059cca6740c78cc165eab0b779ffdfe980 WHIRLPOOL 0e4c36089e00f7bfc582f2138f4b402f26ca22ea6c7ecd1adce066e1b8741b839d34e769c2a7c4806e79279627d678223332cf36609d68716d32515f3389a48a
diff --git a/app-office/scribus/files/scribus-1.5.3-docdir.patch b/app-office/scribus/files/scribus-1.5.3-docdir.patch
new file mode 100644
index 00000000000..d866922fa18
--- /dev/null
+++ b/app-office/scribus/files/scribus-1.5.3-docdir.patch
@@ -0,0 +1,42 @@
+ CMakeLists.txt | 28 +++++++++++++++-------------
+ 1 file changed, 15 insertions(+), 13 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 29d66f3..1c08cdd 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -244,19 +244,21 @@ else()
+ endif()
+
+ #SHARE - use the default on Apple as TAG_VERSION is empty
+-if(WIN32 OR OS2)
+- set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/")
+-else()
+- if(TAG_VERSION OR BUILD_OSX_BUNDLE)
+- set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
+- else()
+- if(NOT WANT_VERSIONING)
+- set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}/")
+- else()
+- set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}-${VERSION}/")
+- endif()
+- endif()
+-endif()
++if(NOT DOCDIR)
++ if(WIN32 OR OS2)
++ set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/")
++ else()
++ if(TAG_VERSION OR BUILD_OSX_BUNDLE)
++ set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}${TAG_VERSION}/")
++ else()
++ if(NOT WANT_VERSIONING)
++ set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}/")
++ else()
++ set(DOCDIR "${CMAKE_INSTALL_DATAROOTDIR}/doc/${MAIN_DIR_NAME}-${VERSION}/")
++ endif()
++ endif()
++ endif()
++endif()
+ if(NOT IS_ABSOLUTE ${DOCDIR})
+ add_definitions("-DDOCDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DOCDIR}\\\"")
+ else()
diff --git a/app-office/scribus/files/scribus-1.5.3-fpic.patch b/app-office/scribus/files/scribus-1.5.3-fpic.patch
new file mode 100644
index 00000000000..ba0721955ef
--- /dev/null
+++ b/app-office/scribus/files/scribus-1.5.3-fpic.patch
@@ -0,0 +1,16 @@
+ scribus/third_party/prc/CMakeLists.txt | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/scribus/third_party/prc/CMakeLists.txt b/scribus/third_party/prc/CMakeLists.txt
+index 5f7c2c6..1da7177 100644
+--- a/scribus/third_party/prc/CMakeLists.txt
++++ b/scribus/third_party/prc/CMakeLists.txt
+@@ -5,6 +5,8 @@ ${OPENGL_INCLUDE_DIR}
+ ${FREETYPE_INCLUDE_DIRS}
+ )
+
++set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_FPIC}")
++
+ set(SCRIBUS_PRC_LIB_SOURCES
+ oPRCFile.cc
+ PRCbitStream.cc
diff --git a/app-office/scribus/scribus-1.5.3.ebuild b/app-office/scribus/scribus-1.5.3.ebuild
new file mode 100644
index 00000000000..c783c2a9610
--- /dev/null
+++ b/app-office/scribus/scribus-1.5.3.ebuild
@@ -0,0 +1,231 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk?"
+CMAKE_MAKEFILE_GENERATOR=ninja
+CMAKE_MIN_VERSION=3.2.0
+
+inherit cmake-utils eutils fdo-mime flag-o-matic gnome2 multilib python-single-r1
+
+DESCRIPTION="Desktop publishing (DTP) and layout program"
+HOMEPAGE="http://www.scribus.net/"
+SRC_URI="mirror://sourceforge/project/${PN}/${PN}-devel/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc64 ~x86"
+IUSE="+boost debug examples graphicsmagick hunspell +minimal osg +pdf scripts templates tk"
+
+#a=$((ls resources/translations/scribus.*ts | sed -e 's:\.: :g' | awk '{print $2}'; ls resources/loremipsum/*xml | sed -e 's:\.: :g' -e 's:loremipsum\/: :g'| awk '{print $2}'; ls resources/dicts/hyph*dic | sed -e 's:\.: :g' -e 's:hyph_: :g' | awk '{print $2}'; ls resources/dicts/README_*txt | sed -e 's:_hyph::g' -e 's:\.: :g' -e 's:README_: :g' | awk '{print $2}') | sort | uniq); echo $a
+IUSE_LINGUAS=" af ar bg br ca ca_ES cs cs_CZ cy cy_GB da da_DK de de@1901 de_CH de_DE el en_AU en_GB en_US eo es es_ES et eu fa_IR fi fi_FI fr gl he he_IL hr hu hu_HU ia id id_ID is is_IS it ja kab kn_IN ko ku la lt lt_LT nb_NO nl nn_NO pl pl_PL pt pt_BR pt_PT ro ro_RO ru ru_RU sa sk sk_SK sl sl_SI so sq sr sv sv_SE te th_TH tr uk uk_UA zh_CN zh_TW"
+IUSE+=" ${IUSE_LINGUAS// / linguas_}"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ tk? ( scripts )"
+
+# osg
+# couple of third_party libs bundled
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ app-text/libmspub
+ app-text/poppler:=
+ dev-libs/hyphen
+ dev-libs/librevenge
+ dev-libs/libxml2
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtquickcontrols:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/fontconfig
+ media-libs/freetype:2
+ media-libs/lcms:2
+ media-libs/libcdr
+ media-libs/libpagemaker
+ media-libs/libpng:0=
+ media-libs/libvisio
+ media-libs/tiff:0
+ net-print/cups
+ sys-libs/zlib[minizip]
+ virtual/jpeg:0=
+ >=x11-libs/cairo-1.10.0[X,svg]
+ boost? ( >=dev-libs/boost-1.62:= )
+ hunspell? ( app-text/hunspell )
+ graphicsmagick? ( media-gfx/graphicsmagick )
+ osg? ( dev-games/openscenegraph )
+ pdf? ( app-text/podofo:0= )
+ scripts? ( dev-python/pillow[tk?,${PYTHON_USEDEP}] )
+ tk? ( dev-python/pillow[tk?,${PYTHON_USEDEP}] )
+"
+RDEPEND="${COMMON_DEPEND}
+ app-text/ghostscript-gpl"
+DEPEND="${COMMON_DEPEND}
+ dev-qt/linguist-tools:5
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-docdir.patch
+ "${FILESDIR}"/${P}-fpic.patch
+)
+
+src_prepare() {
+ rm -r codegen/cheetah || die
+ cat > cmake/modules/FindZLIB.cmake <<- EOF || die
+ find_package(PkgConfig)
+ pkg_check_modules(ZLIB minizip zlib)
+ SET( ZLIB_LIBRARY \${ZLIB_LIBRARIES} )
+ SET( ZLIB_INCLUDE_DIR \${ZLIB_INCLUDE_DIRS} )
+ MARK_AS_ADVANCED( ZLIB_LIBRARY ZLIB_INCLUDE_DIR )
+ EOF
+
+ sed \
+ -e "/^\s*unzip\.[ch]/d" \
+ -e "/^\s*ioapi\.[ch]/d" \
+ -i scribus/CMakeLists.txt Scribus.pro || die
+ rm scribus/ioapi.[ch] || die
+
+ sed \
+ -e 's:\(${CMAKE_INSTALL_PREFIX}\):./\1:g' \
+ -i resources/templates/CMakeLists.txt || die
+
+ edos2unix scribus/ui/propertiespalette_utils.cpp
+
+ cmake-utils_src_prepare
+}
+
+src_configure() {
+ # bug #550818
+ append-cppflags -DHAVE_MEMRCHR
+
+ local _lang lang langs
+ for lang in ${IUSE_LINGUAS}; do
+ _lang=$(translate_lang ${lang})
+ if use linguas_${lang} || [[ ${lang} == "en" ]]; then
+ # From the CMakeLists.txt
+ # "#Bit of a hack, preprocess all the filenames to generate our language string, needed for -DWANT_GUI_LANG=en_GB;de_DE , etc"
+ langs+=";${_lang}"
+ else
+ # Don't install localized documentation
+ sed -e "/${_lang}/d" -i doc/CMakeLists.txt || die
+ safe_delete \
+ ./resources/dicts/README_${_lang}.txt \
+ ./resources/dicts/README_hyph_${_lang}.txt \
+ ./resources/dicts/hyph_${_lang}.dic \
+ ./resources/loremipsum/${_lang}.xml
+ fi
+ sed -e "/en_EN/d" -i doc/CMakeLists.txt || die
+ safe_delete \
+ ./resources/dicts/README_en_EN.txt \
+ ./resources/dicts/README_hyph_en_EN.txt \
+ ./resources/dicts/hyph_en_EN.dic \
+ ./resources/loremipsum/en_EN.xml
+ done
+
+ local mycmakeargs=(
+ -DHAVE_PYTHON=ON
+ -DPYTHON_INCLUDE_PATH="$(python_get_includedir)"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+ -DWANT_DISTROBUILD=ON
+ -DDOCDIR="${EPREFIX%/}/usr/share/doc/${PF}/"
+ -DWANT_GUI_LANG="${langs#;};en"
+ -DWANT_CPP11=ON
+ -DWITH_PODOFO="$(usex pdf)"
+ -DWITH_BOOST="$(usex boost)"
+ -DWANT_GRAPHICSMAGICK="$(usex graphicsmagick)"
+ -DWANT_NOOSG="$(usex !osg)"
+ -DWANT_DEBUG="$(usex debug)"
+ -DWANT_NOHEADERINSTALL="$(usex minimal)"
+ -DWANT_HUNSPELL="$(usex hunspell)"
+ -DWANT_NOEXAMPLES="$(usex !examples)"
+ -DWANT_NOTEMPLATES="$(usex !templates)"
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ local lang _lang
+ # en_EN can be deleted always
+ for lang in ${IUSE_LINGUAS}; do
+ if ! use linguas_${lang}; then
+ _lang=$(translate_lang ${lang})
+ safe_delete "${ED%/}"/usr/share/man/${_lang}
+ fi
+ done
+
+ if ! use scripts; then
+ rm "${ED%/}"/usr/share/scribus/scripts/*.py || die
+ elif ! use tk; then
+ rm "${ED%/}"/usr/share/scribus/scripts/{FontSample,CalendarWizard}.py || die
+ fi
+
+ use scripts && \
+ python_fix_shebang "${ED%/}"/usr/share/scribus/scripts && \
+ python_optimize "${ED%/}"/usr/share/scribus/scripts
+
+ mv "${ED%/}"/usr/share/doc/${PF}/{en,html} || die
+ ln -sf html "${ED%/}"/usr/share/doc/${PF}/en || die
+ cat >> "${T}"/COPYING <<- EOF || die
+ ${PN} is licensed under the "${LICENSE}".
+ Please visit https://www.gnu.org/licenses/gpl-2.0.html for the complete license text.
+ EOF
+ dodoc "${T}"/COPYING
+ docompress -x /usr/share/doc/${PF}/en /usr/share/doc/${PF}/{AUTHORS,TRANSLATION,LINKS,COPYING}
+ local size
+ for size in 16 32 128 256; do
+ newicon -s $size resources/iconsets/artwork/icon_${size}x${size}.png scribus.png
+ done
+ newicon -s 64 resources/iconsets/artwork/icon_32x32@2x.png scribus.png
+ doicon resources/iconsets/*/scribus.png
+ domenu scribus.desktop
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+ gnome2_icon_cache_update
+}
+
+safe_delete () {
+ local x
+ for x in ${@}; do
+ if [[ -d "${x}" ]]; then
+ ebegin "Deleting ${x} recursively"
+ rm -r "${x}" || die
+ eend $?
+ elif [[ -f "${x}" ]]; then
+ ebegin "Deleting ${x}"
+ rm "${x}" || die
+ eend $?
+ fi
+ done
+}
+
+translate_lang() {
+ _lang=${1}
+ [[ ${1} == "ru_RU" ]] && _lang+=_0
+ [[ ${1} == "de@1901" ]] && _lang=de_1901
+ echo ${_lang}
+}